#! /usr/bin/env bash
FILE="$(realpath "${BASH_SOURCE[0]}")"
ROOT="$(dirname "${FILE}")"

INPUT="${ROOT}/in"
INPUTS="${ROOT}/in.txt"
OUTPUT="${ROOT}/out"

function main {
local file
local files=()

rm --force --recursive "${OUTPUT}"
mkdir --parents "${OUTPUT}"

for file in $(cat "${INPUTS}") ; do
    files+=("${INPUT}/${file}.md")
done

pandoc \
--verbose \
--standalone \
--self-contained \
\
--css "${ROOT}/index.css" \
--output "${OUTPUT}/index.html" \
\
--number-sections \
--slide-level '3' \
--write 'revealjs' \
--variable revealjs-url='/sw/revealjs/up' \
--variable slideNumber \
\
"${files[@]}"

}

main
